////////////////////////////////////////////////////////////////////////////////
// Purpose: DUT for connect_env_to_dut example
// Author: Originally from UVM basic class by John Aynsley on
//         http://verificationacademy.com but modified by Greg Tumbush
//
// REVISION HISTORY:
// $Log: $
////////////////////////////////////////////////////////////////////////////////
module dut(dut_if dut_bus);
   always @(posedge dut_bus.clock or posedge dut_bus.reset) begin
      if (dut_bus.reset)
	$display("%0t: Resetting", $time);
      else
        $display("%0t: dut_bus.data = 0x%0h", $time, dut_bus.data);
   end
endmodule // dut
